%////////////////////////////////////////////////////////
% Fichier des parametres du CHARIOT DE GOLF
% lies au TP Chariot de golf Terminale
%////////////////////////////////////////////////////////

% Paramtre du modle :
M_sac=20;           % Masse des clubs et du sac
M_chariot=9.7;      % Masse du chariot
D_roue=0.25;        % Rayon de la roue
f=0.1              % Coefficient de frottement niveau moteur
K=0.255;           % Constante de vitesse et couple de la machine
L=0.05;             % Inductance
R=0.3;                % Rsistance de l'induit.
R_dson=8.7e-3;      % Rsistance Rdson mosfet
E=12;               % Tension d'aimentation
Nb_filet_menant=2;  % Nombre de filet
Nb_dent_menee=50;   % Nombre de dent du pignon
g=9.81;             % Acclration de la pesanteur
Coef_roul=0.008;

% Calculs
R_roue=D_roue/2;
M=M_sac+M_chariot;                          % Masse total transporte
r=Nb_filet_menant/Nb_dent_menee;            % Rapport de rduction
J=M*power(D_roue/2,2)*power(r,2);           % Inertie des masses ramene au moteur
T=M*g*Coef_roul*(1/R_roue);                 % Force de tirage

